package tech.powerjob.samples.processors;

import lombok.extern.slf4j.Slf4j;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

@Slf4j
public class TestPowJobDemo2 implements BasicProcessor {

    private Integer baseInteger = 1;
    @Override
    public ProcessResult process(TaskContext context) throws Exception {
        baseInteger--;
        System.out.println(baseInteger);
        return new ProcessResult(true,baseInteger.toString());
    }
}
